Package org.eclipse.lemminx.extensions.minify.participants

## Class MinifyCodeActionParticipant

- java.lang.Object
- - org.eclipse.lemminx.extensions.minify.participants.MinifyCodeActionParticipant

All Implemented Interfaces:
  `ICodeActionParticipant`

    public class MinifyCodeActionParticipant
    extends Object
    implements ICodeActionParticipant

Code action participant to provide minify as a source action.

### Constructor Summary

Constructors
`MinifyCodeActionParticipant()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `doCodeActionUnconditional​(ICodeActionRequest request, List<org.eclipse.lsp4j.CodeAction> codeActions, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Collect the code action in the given `codeActions` for the given code action request `request` independently of diagnostic provided.
`ICodeActionResolvesParticipant` `getResolveCodeActionParticipant​(String participantId)` Returns the codeAction resolver participant identified by the given `participantId` and null otherwise.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.lemminx.services.extensions.codeaction.ICodeActionParticipant

`doCodeAction`

### Constructor Detail

#### MinifyCodeActionParticipant

    public MinifyCodeActionParticipant()

### Method Detail

#### doCodeActionUnconditional

    public void doCodeActionUnconditional​(ICodeActionRequest request,
                                          List<org.eclipse.lsp4j.CodeAction> codeActions,
                                          org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)
                                   throws CancellationException

Description copied from interface: `ICodeActionParticipant`
Collect the code action in the given `codeActions` for the given code action request `request` independently of diagnostic provided.

Specified by:
  `doCodeActionUnconditional` in interface `ICodeActionParticipant`
Parameters:
  `request` - the code action request.
  `codeActions` - list of code actions to fill.
  `cancelChecker` - the cancel checker.
Throws:
  `CancellationException` - if the computation was cancelled

#### getResolveCodeActionParticipant

    public ICodeActionResolvesParticipant getResolveCodeActionParticipant​(String participantId)

Description copied from interface: `ICodeActionParticipant`
Returns the codeAction resolver participant identified by the given `participantId` and null otherwise.

Specified by:
  `getResolveCodeActionParticipant` in interface `ICodeActionParticipant`
Parameters:
  `participantId` - the code action resolver participant ID.
Returns:
  the codeAction resolver participant identified by the given `participantId` and null otherwise.